#
# spec file for package gf2x
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gf2x
%define lname	libgf2x1
Version:        1.1
Release:        12.5
Summary:        Library for multiplication over the GF(2) field
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            https://gforge.inria.fr/projects/gf2x/

Source:         https://gforge.inria.fr/frs/download.php/30873/%name-%version.tar.gz
Patch1:         gf2x-memset.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gf2x is a library for fast multiplication of polynomials over the
GF(2) binary field.

%package -n %lname
Summary:        Library for multiplication over the GF(2) field
Group:          System/Libraries

%description -n %lname
gf2x is a library for fast multiplication of polynomials over the
GF(2) binary field.

%package devel
Summary:        Development files for libgf2x
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
gf2x is a library for fast multiplication of polynomials over the
GF(2) binary field.

This package contains the headers for the gf2x library.
 
%prep
%setup -q
%patch -P 1 -p1

%build
# SSE2 may not be available on all x86_32 machines.
# PCLMUL may not be available on all machines.
%configure --disable-static \
%ifarch %ix86
	--disable-sse2 \
%endif
	--disable-pclmul
make %{?_smp_mflags};

%check
make check %{?_smp_mflags};

%install
b="%buildroot";
make install DESTDIR="$b";
rm -f "$b/%_libdir"/*.la;

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/*gf2x.so.*

%files devel
%defattr(-,root,root)
%_includedir/gf2x*
%_libdir/*gf2x.so

%changelog
* Fri Jun 26 2015 jengelh@inai.de
- Disable SSE2 on x86 because it is not necessarily present
- Add gf2x-memset.diff
* Thu Nov 29 2012 jengelh@inai.de
- Update to new upstream release 1.1
  * trap bad arguments to gf2x_tfft_init
* Thu Sep 15 2011 jengelh@medozas.de
- Initial package (version 1.0) for build.opensuse.org
